de.dhbwstuttgart.syntaxtree.operator

## Class NotEqualOp

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.operator.Operator
    - - de.dhbwstuttgart.syntaxtree.operator.RelOp
      - - de.dhbwstuttgart.syntaxtree.operator.NotEqualOp

All Implemented Interfaces:
  IItemWithOffset

    public class NotEqualOp
    extends RelOp

### Field Summary

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`NotEqualOp(int offset, int variableLength)`

### Method Summary

### Methods inherited from class de.dhbwstuttgart.syntaxtree.operator.RelOp

`getOperatorTypes, getReturnTypes`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.operator.Operator

`getChildren, getOffset, getVariableLength`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NotEqualOp

    public NotEqualOp(int offset,
                      int variableLength)